# Uses of Interface
org.opensaml.security.x509.PKIXValidationInformationResolver

Packages that use PKIXValidationInformationResolver
Package
Description
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of PKIXValidationInformationResolver in org.opensaml.security.x509

Methods in org.opensaml.security.x509 that return PKIXValidationInformationResolver
Modifier and Type
Method
Description
`PKIXValidationInformationResolver`
PKIXTrustEngine.`getPKIXResolver()`
Get the resolver instance which will be used to resolve PKIX validation information.

## Uses of PKIXValidationInformationResolver in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement PKIXValidationInformationResolver
Modifier and Type
Class
Description
`class`
`StaticPKIXValidationInformationResolver`
An implementation of `PKIXValidationInformationResolver` which always returns a static, fixed set of information.
Fields in org.opensaml.security.x509.impl declared as PKIXValidationInformationResolver
Modifier and Type
Field
Description
`private final PKIXValidationInformationResolver`
PKIXX509CredentialTrustEngine.`pkixResolver`
Resolver used for resolving trusted credentials.
Methods in org.opensaml.security.x509.impl that return PKIXValidationInformationResolver
Modifier and Type
Method
Description
`PKIXValidationInformationResolver`
PKIXX509CredentialTrustEngine.`getPKIXResolver()`
Get the resolver instance which will be used to resolve PKIX validation information.
Constructors in org.opensaml.security.x509.impl with parameters of type PKIXValidationInformationResolver
Modifier
Constructor
Description
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver)`
Constructor.
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver, X509CredentialNameEvaluator nameEvaluator)`
Constructor.
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.

## Uses of PKIXValidationInformationResolver in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as PKIXValidationInformationResolver
Modifier and Type
Field
Description
`private final PKIXValidationInformationResolver`
PKIXSignatureTrustEngine.`pkixResolver`
Resolver used for resolving trusted credentials.
Methods in org.opensaml.xmlsec.signature.support.impl that return PKIXValidationInformationResolver
Modifier and Type
Method
Description
`PKIXValidationInformationResolver`
PKIXSignatureTrustEngine.`getPKIXResolver()`
Get the resolver instance which will be used to resolve PKIX validation information.
Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type PKIXValidationInformationResolver
Modifier
Constructor
Description
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver)`
Constructor.
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.